const express = require('express');
const router = express.Router();

// Importă conexiunea la baza de date
const pool = require('../db'); 

// Importă middleware-ul de autentificare
const authenticateToken = require('../middleware/auth');

router.get('/registru-de-casa-detalii', async (req, res) => {
    const { data } = req.query;

    if (!data) {
        return res.status(400).json({ error: 'Data este necesară.' });
    }

    try {
        const [results] = await pool.promise().query(
            'SELECT document, furnizor, incasare, plata FROM registru_de_casa_detalii WHERE data = ?',
            [data]
        );
        res.json(results);
    } catch (err) {
        console.error('Error fetching data from registru_de_casa_detalii:', err);
        res.status(500).send('Internal Server Error');
    }
});
router.get('/sold', async (req, res) => {
    const { data } = req.query;

    if (!data) {
        return res.status(400).json({ error: 'Data este necesară.' });
    }

    try {
        const [results] = await pool.promise().query(
            'SELECT sold FROM registru_de_casa WHERE data = ?',
            [data]
        );
        res.json(results);
    } catch (err) {
        console.error('Error fetching data from registru_de_casa_detalii:', err);
        res.status(500).send('Internal Server Error');
    }
});
router.get('/sold_anterior', async (req, res) => {
    const { data } = req.query;

    if (!data) {
        return res.status(400).json({ error: 'Data este necesară.' });
    }

    try {
        // Obținem suma soldurilor până la ziua anterioară
        const [results] = await pool.promise().query(
            `SELECT SUM(sold) AS sold_total
             FROM registru_de_casa
             WHERE data < ?`,
            [data]
        );

        res.json(results);
    } catch (err) {
        console.error('Error fetching previous day balance:', err);
        res.status(500).send('Internal Server Error');
    }
});


module.exports = router;
